# Sessions

Sessions

## Creates a new session record that does not already exist.

 - [POST /sessions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/createsession.md): This method will auto-generate an ID and create a new session. If an ID is specified for the session, an error will be thrown.

## Returns a list of records with the specified abstract_id

 - [GET /sessions/{tenantId}/abstract/{abstract_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/listsessionsbyabstractid.md): Returns a list of records with the specified abstract_id

## Generate Session from Abstract

 - [POST /sessions/{tenantId}/abstract/{abstract_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/generatesessionfromabstract.md): Generates a session with speaker information from an abstract record

## Execute Batch Operations

 - [POST /sessions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified event_id

 - [GET /sessions/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/listsessionsbyeventid.md): Returns a list of records with the specified event_id

## Get Privileges for a session

 - [GET /sessions/{tenantId}/privileges/{id}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/getprivileges.md): Returns things a person can do for a session

## Describes all of the sessions for an event

 - [GET /sessions/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/describesessionsforevent.md): Returns a list of records with the specified event_id

## Searches for sessions using predefined parameters

 - [POST /sessions/{tenantId}/public/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/publicsearchsessions.md): Searches for sessions using predefined parameters

## Returns a session from the system by its ID.

 - [GET /sessions/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/publicgetsession.md): This method will look up a session by the specified ID and return it back.

## Searches for sessions using predefined parameters

 - [POST /sessions/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/searchforsessions.md): Searches for sessions using predefined parameters

## Returns a session from the system by its ID.

 - [DELETE /sessions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/deletesession.md): This method will delete a session with the specified ID.

## Returns a session from the system by its ID.

 - [GET /sessions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/getsession.md): This method will look up a session by the specified ID and return it back.

## Partially updates a session with the specified ID.

 - [PATCH /sessions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/patchsession.md): This method will patch an existing session with the specified ID, using the HTTP PATCH specification.

## Updates a session with the specified ID.

 - [PUT /sessions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sessions/updatesession.md): This method will update an existing session with the specified ID.

